Subject: [core] FW: New Version Notification for draft-nieminen-core-service-discovery-02.txt

From: <[email-masked]>
Date: Wed, 14 Mar 2012 21:20:14 +0000

Hi all,

We have submitted a new version of CoAP application autoconfiguration draft: 
http://datatracker.ietf.org/doc/draft-nieminen-core-service-discovery/

It proposes a CoAP based mechanism for a CoAP application to discover and retrieve its configuration.  At minimum most CoAP apps will require knowledge of a URI of the server to use, but they may also need credentials. The draft has is a major rewrite compared to the previous versions, so you should read it again even if you have checked -00 or -01 :-)

Please review. I hope there is time to talk about this at CoRE during IETF 83.

Markus

>
>Filename:	 draft-nieminen-core-service-discovery
>Revision:	 02
>Title:		 Constrained Application Autoconfiguration
>Creation date:	 2012-03-12
>WG ID:		 Individual Submission
>Number of pages: 13
>
>Abstract:
>   The number and types of devices that are Internet connected continues
>   to grow.  Sensors, appliances, utility meters, medical devices etc.
>   are Internet connected for various reasons.  Many of these newer
>   devices are constrained in terms of processing power, memory,
>   communication capability and, available power.  Devices such as
>   sensors and similar very small devices often lack a proper user
>   interface and hence configuring even the most basic parameters for
>   enabling Internet connectivity on these is extremely difficult.  Some
>   of the existing configuration protocols can help in autoconfiguring
>   various parameters of the IP stack needed for Internet connectivity.
>   However this is not sufficient if the devices are using a web service
>   application.  There is a need for additional information such as
>   service provider name and username/password etc. for authentication
>   etc.  A configuration protocol solution for resource constrained
>   devices is needed in order to enable the potential enabled by
>   Internet connectivity.  This document outlines the use cases and
>   requirements for user friendly configuration of such information on a
>   constrained device, and specifies a Constrained Application Protocol
>   (CoAP) based mechanism to meet the requirements.
>